Card
Get a cardholder
GET
merchantApiKeymerchantTimestampmerchantNoncemerchantSignatureheader
X-API-KEY<token>Merchant API key (starts with upk_, also accepts api-key); signing headers are also required
header
X-Timestamp<token>Unix timestamp in seconds, within 300 seconds of server time
header
X-Nonce<token>Unique per request; cannot be reused with the same credential during the timestamp validity window
header
X-Signature<token>Hex HMAC-SHA256 signature (either letter case) of the method, full path, timestamp, nonce and body digest
cardholderId*stringCardholder
application/json- response
id*stringCardholder ID (starts with chd_)
customer_id*|Customer ID; null when the cardholder is not linked to a customer
card_product_id*|Card product ID used at registration
first_name*|From the customer's identity verification; when the product has requirements, derived by the issuer from the verification or submitted fields; null for cardholders registered only in UPP
last_name*string|nullstatus*CardholderStatuspending: registered, being submitted or awaiting the issuer's reviewapproved: approved; you can apply for cardsrejected: rejected by the issuer (resubmitting with changes is not supported yet)failed: not accepted by the issuer (invalid information, for example); you can register again for this customer
Value in
"pending""approved""rejected""failed"failure_reason*|Reason when rejected / failed
created_at*stringFormat
date-timeupdated_at*stringFormat
date-timecurl -X GET 'https://sandbox.getupp.net/api/v1/cardholders/string'Example Response
{ "id": "chd_01m5ergfs354xnjeazkx60hgwv", "customer_id": "cus_01m5erdr5qkats44wcfnc5sfbf", "card_product_id": "cpd_01JBXA3M6N8Q2R4T6V8W0Y2Z4H", "first_name": "Aisyah", "last_name": "Rahman", "status": "approved", "failure_reason": null, "created_at": "2026-10-21T08:16:12.000000Z", "updated_at": "2026-10-21T08:16:24.000000Z"}